Bug 462621 - Review Request: pycryptopp - Python wrappers for the Crypto++ library
Review Request: pycryptopp - Python wrappers for the Crypto++ library
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 11:34 EDT by Ruben Kerkhof
Modified: 2009-02-18 18:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 08:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2008-09-17 11:34:00 EDT
Spec URL: http://ruben.fedorapeople.org/pycryptopp.spec
SRPM URL: http://ruben.fedorapeople.org/pycryptopp-0.5.7-1.fc10.src.rpm
Description:
RSA-PSS-SHA256 signatures, ECDSA(1363)/EMSA1(SHA-256) signatures,
SHA-256 hashes, and AES-CTR encryption
Comment 1 Brian Pepple 2008-11-16 17:43:26 EST
MD5Sum:
94dce03471b0fbc0392cc76de207c234  pycryptopp-0.5.7.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly

Bad:
* rpmlint produces the following errors:
pycryptopp.i386: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/pycryptopp/cipher/aesmodule.cpp
pycryptopp.i386: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/pycryptopp/hash/sha256module.cpp
pycryptopp.i386: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/pycryptopp/publickey/rsamodule.cpp
pycryptopp.i386: E: non-standard-executable-perm /usr/lib/python2.5/site-packages/pycryptopp/hash/sha256.so 0775
pycryptopp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/pycryptopp/test/test_sha256.py 0644
pycryptopp.i386: E: non-standard-executable-perm /usr/lib/python2.5/site-packages/pycryptopp/publickey/ecdsa.so 0775
pycryptopp.i386: E: non-standard-executable-perm /usr/lib/python2.5/site-packages/pycryptopp/publickey/rsa.so 0775
pycryptopp.i386: E: non-standard-executable-perm /usr/lib/python2.5/site-packages/pycryptopp/cipher/aes.so 0775
pycryptopp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/pycryptopp/test/test_ecdsa.py 0644
pycryptopp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/pycryptopp/test/test_rsa.py 0644
pycryptopp.i386: E: non-executable-script /usr/lib/python2.5/site-packages/pycryptopp/test/test_aes.py 0644
pycryptopp.i386: W: devel-file-in-non-devel-package /usr/lib/python2.5/site-packages/pycryptopp/publickey/ecdsamodule.cpp
Comment 2 Ruben Kerkhof 2009-01-19 08:39:18 EST
I've been working with upstream for a while now to build pycryptopp againsts the cryptopp library provided by Fedora, instead of the cryptopp source that is shipped with pycryptopp.

We've bumped into an issue between C++ and python, and so far haven't found a solution.

I'll close this bug for now.

Note You need to log in before you can comment on or make changes to this bug.